<?php
// add mmenu
add_action('admin_menu', 'byconsolewooodt_add_plugin_menu');
add_filter( 'whitelist_options', 'wooglop_section_textos' );
function byconsolewooodt_add_plugin_menu(){
    add_menu_page('wooglop-addons', 'Add-ons WooGlop', 'manage_options', 'byconsolewooodt_general_settings', 'byconsolewooodt_admin_general_settings_form',
			plugins_url( 'wooglop/icon.png' ),
			11);
}

function wooglop_section_textos( $opciones ) {
    $opciones['section_textos'] = array(
        'byconsolewooodt_takeaway_lable',
        'byconsolewooodt_delivery_lable',
        'byconsolewooodt_establecimiento_lable',
        'byconsolewooodt_date_field_text',
        'byconsolewooodt_time_field_text',
        'byconsolewooodt_chekout_page_section_heading',
        'byconsolewooodt_chekout_page_order_type_label',
        'byconsolewooodt_chekout_page_date_label',
        'byconsolewooodt_chekout_page_time_label',
        'byconsolewooodt_chekout_page_alias_texto_opcional',
        'byconsolewooodt_chekout_page_alias_texto',
        'byconsolewooodt_chekout_page_alias_placeholder',
        'byconsolewooodt_chekout_email_pedido_establecimiento',
        'byconsolewooodt_chekout_nombre_pedido_establecimiento',
        'byconsolewooodt_chekout_apellidos_pedido_establecimiento',
        'byconsolewooodt_chekout_articulos_extra_type_label',
        'byconsolewooodt_chekout_comentarios_libres_type_label',
        'byconsolewooodt_chekout_combina_con_type_label',
        'byconsolewooodt_chekout_no_disponible_pedido_type_label',
        'byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label',
        'byconsolewooodt_detalels_del_envio_label',
    );
    return $opciones;
}

function byconsolewooodt_admin_general_settings_form(){
?>

<div class="wrap">

    <h1>Panel de control Add-ons WooGlop</h1>

    <div class="" style="width:80%; float:left;">
        <form method="post" class="form_byconsolewooodt_plugin_settings" action="options.php">

            <nav class="nav-tab-wrapper woo-nav-tab-wrapper">
        		<a href="#" class="nav-tab nav-tab-active" data-w="configuracion">Configuracion</a>
        		<a href="#" class="nav-tab" data-w="textos">Textos</a>
		        <a href="#" class="nav-tab" data-w="woocommerce">Woocommerce</a>
<!--		        <a href="#" class="nav-tab" data-w="colores">Colores</a>-->
            </nav>
            <script>
            (function($){
                $(document).ready(function(){
                    $('.nav-tab').click(function(){
                       $('.nav-tab').removeClass( 'nav-tab-active' );
                       $(this).addClass( 'nav-tab-active' );
                       var l = $(this).data('w');
                       $('.wrapper-wrapper').hide();
                       $('.wrapper-' + l).fadeIn();
                    });
                });
            })(jQuery);
            </script>

            <div class="wrapper-wrapper wrapper-configuracion">
                <?php do_settings_sections("byconsolewooodt_plugin_configuracion"); ?>
            </div>
            <div class="wrapper-wrapper wrapper-textos" style="display: none">
                <?php do_settings_sections("byconsolewooodt_plugin_options_textos"); ?>
            </div>
            <div class="wrapper-wrapper wrapper-woocommerce" style="display: none">
                <?php do_settings_sections("byconsolewooodt_plugin_options_woocommerce"); ?>
            </div>
            <div class="wrapper-wrapper wrapper-colores" style="display: none">
                <?php do_settings_sections("byconsolewooodt_plugin_options_colores"); ?>
            </div>

            <?php settings_fields("section"); ?>
            <?php submit_button(); ?>
        </form>
    </div>

    <?php
    }

    function byconsolewooodt_chekout_page_section_heading(){

    ?>
      <input type="text" name="byconsolewooodt_chekout_page_section_heading" id="byconsolewooodt_chekout_page_section_heading" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_page_section_heading')); ?>"/>

      <label><?php echo __('Texto a mostrar en la página de pago como encabezado de sección.', 'byconsole-woo-order-delivery-time'); ?></label>
      <br/>

      <span style="color:#a0a5aa">(Ejemplo: Hora y fecha de entrega)</span>

    <?php
    }

    function byconsolewooodt_chekout_page_date_label(){

    ?>
     <input type="text" name="byconsolewooodt_chekout_page_date_label" id="byconsolewooodt_chekout_page_date_label" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_page_date_label')); ?>"/>
     <label><?php echo __('Etiqueta del calendario en la página de pago:', 'byconsole-woo-order-delivery-time'); ?></label>
     <br/>

     <span style="color:#a0a5aa">(Ejemplo: Seleccionar fecha)</span>
    <?php
    }

    function byconsolewooodt_chekout_page_time_label(){

    ?>
      <input type="text" name="byconsolewooodt_chekout_page_time_label" id="byconsolewooodt_chekout_page_time_label" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_page_time_label')); ?>"/>
        <label><?php echo __('Etiqueta de selección de tiempo en la página de pago:', 'byconsole-woo-order-delivery-time'); ?></label>
        <br/>
        <span style="color:#a0a5aa">(Ejemplo: Seleccionar hora)</span>

    <?php
    }

    function byconsolewooodt_chekout_page_alias_texto_opcional(){

    ?>
      <select id="byconsolewooodt_chekout_page_alias_texto_opcional" name="byconsolewooodt_chekout_page_alias_texto_opcional" style="width:35%;">
            <option value="Oculto" <?php if (get_option('byconsolewooodt_chekout_page_alias_texto_opcional') == 'Oculto') { ?> selected="selected"<?php } ?> >
                Oculto
            </option>
            <option value="Opcional" <?php if (get_option('byconsolewooodt_chekout_page_alias_texto_opcional') == 'Opcional') { ?> selected="selected"<?php } ?> >
                Opcional
            </option>
            <option value="Obligatorio"<?php if (get_option('byconsolewooodt_chekout_page_alias_texto_opcional') == 'Obligatorio') { ?> selected="selected"<?php } ?> >
                Obligatorio
            </option>
    </select>
    <?php
    }

    function byconsolewooodt_chekout_page_alias_texto(){

    ?>
      <input maxlength="60" type="text" name="byconsolewooodt_chekout_page_alias_texto" id="byconsolewooodt_chekout_page_alias_texto" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_page_alias_texto')); ?>"/>
    <?php
    }

    function byconsolewooodt_chekout_page_alias_placeholder(){

    ?>
      <input maxlength="20" type="text" name="byconsolewooodt_chekout_page_alias_placeholder" id="byconsolewooodt_chekout_page_alias_placeholder" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_page_alias_placeholder')); ?>"/>
    <?php
    }

    function byconsolewooodt_chekout_email_pedido_establecimiento(){

    ?>
      <input type="email" name="byconsolewooodt_chekout_email_pedido_establecimiento" id="byconsolewooodt_chekout_email_pedido_establecimiento" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_email_pedido_establecimiento')); ?>"/>
      <p>Si dejas vacío este campo, el campo email de la página de pedido se mostrará.</p>
    <?php
    }

    function byconsolewooodt_chekout_nombre_pedido_establecimiento(){

    ?>
      <input type="text" name="byconsolewooodt_chekout_nombre_pedido_establecimiento" id="byconsolewooodt_chekout_nombre_pedido_establecimiento" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_nombre_pedido_establecimiento')); ?>"/>
      <p>Si dejas vacío este campo, el campo nombre de la página de pedido se mostrará.</p>
    <?php
    }

    function byconsolewooodt_chekout_apellidos_pedido_establecimiento(){

    ?>
      <input type="text" name="byconsolewooodt_chekout_apellidos_pedido_establecimiento" id="byconsolewooodt_chekout_apellidos_pedido_establecimiento" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_apellidos_pedido_establecimiento')); ?>"/>
      <p>Si dejas vacío este campo, el campo apellido de la página de pedido se mostrará.</p>
    <?php
    }

    function byconsolewooodt_chekout_enable_su_turno(){
		$mensaje = get_option('byconsolewooodt_chekout_enable_su_turno');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_chekout_enable_su_turno" id="byconsolewooodt_chekout_enable_su_turno" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_chekout_texto_su_turno(){

    ?>
      <input type="text" name="byconsolewooodt_chekout_texto_su_turno" id="byconsolewooodt_chekout_texto_su_turno" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_chekout_texto_su_turno')); ?>"/>
      <p>Si dejas vacío este campo, el texto por defecto será "Su turno es:".</p>
    <?php
    }

    /**
     * Devolver un input text para una opción de la página de opciones.
     * TODO -> DEBERÍAMOS refactorizar todas las funciones que "pintan" cajas de texto en esta pantalla
     *      -> para que llamen a esta función.
     *
     * @param string $option_id
     *
     * @return string
     */
    function options_page_row_label_with_input_text( string $option_id ):string {
        return sprintf(
            '<input type="text" name="%s" id="%s" style="%s" value="%s"><br>',
            $option_id,
            $option_id,
            'width:50%; padding:7px;',
            get_option( $option_id )
        );
    }

    function byconsolewooodt_chekout_articulos_extra_type_label(){
        echo options_page_row_label_with_input_text( 'byconsolewooodt_chekout_articulos_extra_type_label' );
    }

    function byconsolewooodt_chekout_comentarios_libres_type_label(){
        echo options_page_row_label_with_input_text( 'byconsolewooodt_chekout_comentarios_libres_type_label' );
    }

    function byconsolewooodt_chekout_combina_con_type_label(){
        echo options_page_row_label_with_input_text( 'byconsolewooodt_chekout_combina_con_type_label' );
    }

    function byconsolewooodt_chekout_page_order_type_label(){
        echo options_page_row_label_with_input_text( 'byconsolewooodt_chekout_page_order_type_label' );
    }

    function byconsolewooodt_chekout_no_disponible_pedido_type_label(){
		$mensaje = get_option('byconsolewooodt_chekout_no_disponible_pedido_type_label');
		if ( ! $mensaje ) {
			$mensaje = 'La tienda seleccionada no dispone de reparto en la dirección introducida, revísela o si lo desea puede realizar un pedido a recoger.';
			update_option('byconsolewooodt_chekout_no_disponible_pedido_type_label', $mensaje);
		}
	    ?>
	    <input type="text" name="byconsolewooodt_chekout_no_disponible_pedido_type_label" id="byconsolewooodt_chekout_no_disponible_pedido_type_label"
	           style="width:50%; padding:7px;"
	           value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), $mensaje ); ?>"/>

	    <br/>


	    <?php
    }

    function byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label(){
        $mensaje = get_option('byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label');
        if ( ! $mensaje ) {
			$mensaje = 'La tienda seleccionada no dispone de reparto en la dirección introducida, revísela o si lo desea puede realizar un pedido a recoger.';
			update_option('byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label', $mensaje);
		}
	    ?>
	    <input type="text" name="byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label" id="byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label"
	           style="width:50%; padding:7px;"
	           value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), $mensaje ); ?>"/>
	    <br/>


	    <?php
    }

    function byconsolewooodt_detalels_del_envio_label(){
        $mensaje = get_option('byconsolewooodt_detalels_del_envio_label');
        if ( ! $mensaje ) {
			$mensaje = 'Detalles del envío';
			update_option('byconsolewooodt_detalels_del_envio_label', $mensaje);
		}
	    ?>
	    <input type="text" name="byconsolewooodt_detalels_del_envio_label" id="byconsolewooodt_detalels_del_envio_label"
	           style="width:50%; padding:7px;"
	           value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), $mensaje ); ?>"/>
	    <br/>


	    <?php
    }

    function byconsolewooodt_enabled(){
        $mensaje = get_option('byconsolewooodt_enabled');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_enabled" id="byconsolewooodt_enabled" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_disabled_menus(){
        $mensaje = get_option('byconsolewooodt_disabled_menus');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_disabled_menus" id="byconsolewooodt_disabled_menus" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_cerrar_tienda(){
        $mensaje = get_option('byconsolewooodt_cerrar_tienda');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_cerrar_tienda" id="byconsolewooodt_cerrar_tienda" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_required_menus(){
        $mensaje = get_option('byconsolewooodt_required_menus');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_required_menus" id="byconsolewooodt_required_menus" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_disabled_ingredientes(){
        $mensaje = get_option('byconsolewooodt_disabled_ingredientes');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_disabled_ingredientes" id="byconsolewooodt_disabled_ingredientes" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_disabled_comentarios(){
        $mensaje = get_option('byconsolewooodt_disabled_comentarios');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_disabled_comentarios" id="byconsolewooodt_disabled_comentarios" <?php echo $ch; ?> />
	    <?php
    }

    function byconsolewooodt_only_cantidad_unitaria(){
        $mensaje = get_option('byconsolewooodt_only_cantidad_unitaria');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_only_cantidad_unitaria" id="byconsolewooodt_only_cantidad_unitaria" <?php echo $ch; ?> />
	    <small>Si artículo tiene extra y/o comentario y/o menú</small>
	    <?php
    }

    function byconsolewooodt_hay_notas_label(){
        $mensaje = get_option('byconsolewooodt_hay_notas_label');
        $ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_hay_notas_label" id="byconsolewooodt_hay_notas_label" <?php echo $ch; ?> />
	    <small>Tenga en cuenta que este campo lo gestiona Glop <strong>con un máximo de 200 caracteres</strong>.</small>
	    <?php
    }

    function byconsolewooodt_permitir_envio_diferente_label(){
        $mensaje = get_option('byconsolewooodt_permitir_envio_diferente_label');
		$ch = '';
		if ( 'on' == $mensaje ) {
			$ch = ' checked="checked"';
		}
	    ?>
	    <input type="checkbox" name="byconsolewooodt_permitir_envio_diferente_label" id="byconsolewooodt_permitir_envio_diferente_label" <?php echo $ch; ?> />
	    <small>Tenga en cuenta que este campo no lo gestiona Glop</small>
	    <?php
    }

    function byconsolewooodt_hours_format(){

    ?>
    <select id="byconsolewooodt_hours_format" name="byconsolewooodt_hours_format" style="width:35%;">
            <option value="H:i:s" <?php if (get_option('byconsolewooodt_hours_format') == 'H:i:s') { ?> selected="selected"<?php } ?> >
                24 horas
            </option>
            <option value="H:i" <?php if (get_option('byconsolewooodt_hours_format') == 'H:i') { ?> selected="selected"<?php } ?> >
                24 horas(Sin segundos)
            </option>
            <option value="h:i A"<?php if (get_option('byconsolewooodt_hours_format') == 'h:i A') { ?> selected="selected"<?php } ?> >
                12 horas
            </option>
    </select>
    <label><?php echo __('24 horas o 12 horas con AM/PM.', 'byconsole-woo-order-delivery-time'); ?> </label>

    <?php
    }

    function byconsolewooodt_hours_format_optional(){

    ?>
    <select id="byconsolewooodt_hours_format_optional" name="byconsolewooodt_hours_format_optional" style="width:35%;">
            <option value="Oculto" <?php if (get_option('byconsolewooodt_hours_format_optional') == 'Oculto') { ?> selected="selected"<?php } ?> >
                Oculto
            </option>
            <option value="Opcional" <?php if (get_option('byconsolewooodt_hours_format_optional') == 'Opcional') { ?> selected="selected"<?php } ?> >
                Opcional
            </option>
            <option value="Obligatorio"<?php if (get_option('byconsolewooodt_hours_format_optional') == 'Obligatorio') { ?> selected="selected"<?php } ?> >
                Obligatorio
            </option>
    </select>

    <?php
    }

    function byconsolewooodt_preorder_days(){

    ?>

    <input type="number" name="byconsolewooodt_preorder_days" id="byconsolewooodt_preorder_days" style="width:30%; padding:7px;" value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_preorder_days')); ?>"/>
      <label><?php echo __('Deje el espacio en blanco para no configurar y preordenar días, este es el número de días que el cliente puede pre pedir por adelantado.', 'byconsole-woo-order-delivery-time'); ?></label>
        <br/>
        <span style="color:#a0a5aa">()</span>

    <?php
    }

    function byconsolewooodt_opening_hours(){

    ?>
        <label><?php echo __('From', 'byconsole-woo-order-delivery-time'); ?></label>
        <input type="time" name="byconsolewooodt_opening_hours_from" id="byconsolewooodt_opening_hours_from"
               style="width:30%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_opening_hours_from')); ?>"/>

        <label><?php echo __('To', 'byconsole-woo-order-delivery-time'); ?></label>
        <input type="time" name="byconsolewooodt_opening_hours_to" id="byconsolewooodt_opening_hours_to"
               style="width:30%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_opening_hours_to')); ?>"/>

        <label><?php echo __('Allowable Pickup Time.', 'byconsole-woo-order-delivery-time'); ?></label>

     <?php
    }

    function byconsolewooodt_delivery_hours(){

    ?>

        <label><?php echo __('From', 'byconsole-woo-order-delivery-time'); ?></label>

        <input type="time" name="byconsolewooodt_delivery_hours_from" id="byconsolewooodt_delivery_hours_from"
               style="width:30%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_delivery_hours_from')); ?>"/>

        <label><?php echo __('To', 'byconsole-woo-order-delivery-time'); ?></label>

        <input type="time" name="byconsolewooodt_delivery_hours_to" id="byconsolewooodt_delivery_hours_to"
               style="width:30%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_delivery_hours_to')); ?>"/>

        <label><?php echo __('Allowable Delivery Time.', 'byconsole-woo-order-delivery-time'); ?></label>

        <?php

    }

    function byconsolewooodt_delivery_times(){

    ?>
        <input type="text" name="byconsolewooodt_delivery_times" id="byconsolewooodt_delivery_times"
               style="width:30%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_delivery_times')); ?>"/>

        <label> <?php echo __('This is visible on widget front end if customer has chosen delivery.', 'byconsole-woo-order-delivery-time'); ?></label>
        <br/>

        <span style="color:#a0a5aa">(Ejemplo: Tiempo mínimo de entrega 30 minutos.)</span>

    <?php

    }

    function byconsolewooodt_takeaway_lable(){
    ?>

        <input type="text" name="byconsolewooodt_takeaway_lable" id="byconsolewooodt_takeaway_lable"
               style="width:50%; padding:7px;" value="<?php echo get_option('byconsolewooodt_takeaway_lable'); ?>"/>

        <label> <?php echo __('Texto de la etiqueta para recoger.'); ?></label><br/>

    <?php
    }

    function byconsolewooodt_delivery_lable() {

    ?>
        <input type="text" name="byconsolewooodt_delivery_lable" id="byconsolewooodt_delivery_lable"
               style="width:50%; padding:7px;" value="<?php echo get_option('byconsolewooodt_delivery_lable'); ?>"/>

        <label> <?php echo __('Texto de la etiqueta para llevar.'); ?></label><br/>

    <?php
    }

    function byconsolewooodt_establecimiento_lable() {

    ?>
        <input type="text" name="byconsolewooodt_establecimiento_lable" id="byconsolewooodt_establecimiento_lable"
               style="width:50%; padding:7px;" value="<?php echo get_option('byconsolewooodt_establecimiento_lable'); ?>"/>

        <label> <?php echo __('Texto de la etiqueta para solo establecimiento.'); ?></label><br/>

    <?php
    }

    function byconsolewooodt_date_field_text(){

    ?>
        <input type="text" name="byconsolewooodt_date_field_text" id="byconsolewooodt_date_field_text"
               style="width:50%; padding:7px;" value="<?php echo get_option('byconsolewooodt_date_field_text'); ?>"/>

        <label> <?php echo __('Texto del placeholder del calendario.'); ?></label><br/>

    <?php
    }

    function byconsolewooodt_time_field_text(){

    ?>

        <input type="text" name="byconsolewooodt_time_field_text" id="byconsolewooodt_time_field_text"
               style="width:50%; padding:7px;" value="<?php echo get_option('byconsolewooodt_time_field_text'); ?>"/>

        <label> <?php echo __('Texto del placeholder de la hora.'); ?></label><br/>

    <?php
    }

    function byconsolewooodt_orders_delivered() {

    ?>
        <input type="text" name="byconsolewooodt_orders_delivered" id="byconsolewooodt_orders_delivered"
               style="width:50%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_orders_delivered')); ?>"/>

        <label> <?php echo __('Este es el texto que se muestra en la página de detalles del pedido del lado del cliente.', 'byconsole-woo-order-delivery-time'); ?></label>
        <br/>

        <span style="color:#a0a5aa">(<?php echo __('Ejemplo: El pedido será entregado en...', 'byconsole-woo-order-delivery-time'); ?>  [byc_delivery_date] <?php echo __('at', 'byconsole-woo-order-delivery-time'); ?>   [byc_delivery_time])</span>

    <?php
    }

    function byconsolewooodt_orders_pick_up(){

    ?>
        <input type="text" name="byconsolewooodt_orders_pick_up" id="byconsolewooodt_orders_pick_up"
               style="width:50%; padding:7px;"
               value="<?php printf(__('%s', 'byconsole-woo-order-delivery-time'), get_option('byconsolewooodt_orders_pick_up')); ?>"/>

        <label> <?php echo __('Este es el texto que se muestra en la página de detalles del pedido del lado del cliente.', 'byconsole-woo-order-delivery-time'); ?></label>
        <br/>

        <span style="color:#a0a5aa">(<?php echo __('Eg: The order can be Picked Up on', 'byconsole-woo-order-delivery-time'); ?>  [byc_pickup_date] <?php echo __('at', 'byconsole-woo-order-delivery-time'); ?>  [byc_pickup_time])</span>

    <?php
    }

    function byconsolewooodt_widget_field_position(){
        ?><input type="hidden" name="byconsolewooodt_widget_field_position" value="bottom" /><?php
    }

    function byconsolewooodt_widget_tipo_entrega(){
         $byconsolewooodt_widget_tipo_entrega = (array) get_option('byconsolewooodt_widget_tipo_entrega');
        ?>
        <input type="hidden" name="byconsolewooodt_widget_field_position" value="top" />

        <script src="<?php echo plugins_url( 'wooglop-addons' ); ?>/assets/js/multiple-select.min.js" type="text/javascript" defer=""></script>
        <link rel="stylesheet" href="<?php echo plugins_url( 'wooglop-addons' ); ?>/assets/js/multiple-select.min.css" type="text/css" media="all">


        <select multiple id="byconsolewooodt_widget_tipo_entrega" name="byconsolewooodt_widget_tipo_entrega[]"
                style="width:35%;">

            <option value="solo_local" <?php if ( in_array( 'solo_local', $byconsolewooodt_widget_tipo_entrega ) ) { ?> selected="selected"<?php } ?> >
                Recogida en local
            </option>

            <option value="solo_envio"<?php if ( in_array( 'solo_envio', $byconsolewooodt_widget_tipo_entrega ) ) { ?> selected="selected"<?php } ?> >
                Envío a domicilio
            </option>

            <option value="solo_establecimiento"<?php if ( in_array( 'solo_establecimiento', $byconsolewooodt_widget_tipo_entrega ) ) { ?> selected="selected"<?php } ?> >
                Pedido en establecimiento
            </option>
        </select>
<style>
.ms-drop ul>li.multiple  {
width: 100% !important;
}
</style>
<script >
jQuery(function() {
    jQuery("#byconsolewooodt_widget_tipo_entrega").multipleSelect({
        multiple : true,
        multipleWidth: '100%'
    });
});
</script>

        <label><?php echo __('Escoger cómo se entregan los pedidos', 'byconsole-woo-order-delivery-time'); ?> </label>

    <?php }

    add_action('admin_init', 'byconsolewooodt_plugin_settings_fields');

    function byconsolewooodt_plugin_settings_fields(){
        add_settings_section("section_textos", "", null, "byconsolewooodt_plugin_options_woocommerce");

        add_settings_field("byconsolewooodt_chekout_articulos_extra_type_label", __('Texto de la etiqueta de Artículos Extra:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_articulos_extra_type_label", "byconsolewooodt_plugin_options_woocommerce", "section_textos");

        add_settings_field(
            'byconsolewooodt_chekout_comentarios_libres_type_label',
            __('Texto de la etiqueta de Comentarios Libres:', 'byconsole-woo-order-delivery-time'),
             'byconsolewooodt_chekout_comentarios_libres_type_label',
             'byconsolewooodt_plugin_options_woocommerce',
             'section_textos'
         );

        // 12 agosto 2021 - #2357 - Daniel Ruiz Opción texto personalizado "Combina con".
        add_settings_field(
            'byconsolewooodt_chekout_combina_con_type_label',
            __( 'Texto de la etiqueta de "Combina con":', 'byconsole-woo-order-delivery-time' ),
             'byconsolewooodt_chekout_combina_con_type_label',
             'byconsolewooodt_plugin_options_woocommerce',
             'section_textos'
         );

        add_settings_field("byconsolewooodt_chekout_no_disponible_pedido_type_label", __('Texto cuando no se dispone de reparto a la zona seleccionada:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_no_disponible_pedido_type_label", "byconsolewooodt_plugin_options_woocommerce", "section_textos");

        add_settings_field("byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label", __('Texto cuando no se dispone de reparto a la zona seleccionada cuando se pulsa botón finalizar:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label", "byconsolewooodt_plugin_options_woocommerce", "section_textos");

        add_settings_field('byconsolewooodt_detalels_del_envio_label', __('Texto para la cabecera detalles del envío en el proceso de compra:', 'byconsole-woo-order-delivery-time'), 'byconsolewooodt_detalels_del_envio_label', 'byconsolewooodt_plugin_options_woocommerce', 'section_textos');

        add_settings_field("byconsolewooodt_hay_notas_label", __('¿El cliente podrá escribir notas al pedido?:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_hay_notas_label", "byconsolewooodt_plugin_options_woocommerce", "section_textos");
        add_settings_field("byconsolewooodt_permitir_envio_diferente_label", __('¿Permitir dirección de envío distinto a la dirección de facturación?', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_permitir_envio_diferente_label", "byconsolewooodt_plugin_options_woocommerce", "section_textos");


        add_settings_section("section_general_settings", "Opciones sobre pedir y recoger", null, "byconsolewooodt_plugin_configuracion");
        add_settings_section("section_textos_delivery", "Textos", null, "byconsolewooodt_plugin_options_textos");


        add_settings_field("byconsolewooodt_enabled", __('Activar delivery', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_enabled", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_disabled_menus", __('Ocultar Menús', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_disabled_menus", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_cerrar_tienda", __('Cerrar Tienda', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_cerrar_tienda", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_required_menus", __('Obligatorio selección menú', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_required_menus", "byconsolewooodt_plugin_configuracion", "section_general_settings");
        add_settings_field("byconsolewooodt_disabled_ingredientes", __('Ocultar Ingredientes Extra', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_disabled_ingredientes", "byconsolewooodt_plugin_configuracion", "section_general_settings");
        add_settings_field("byconsolewooodt_disabled_comentarios", __('Ocultar Comentarios', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_disabled_comentarios", "byconsolewooodt_plugin_configuracion", "section_general_settings");
        add_settings_field("byconsolewooodt_only_cantidad_unitaria", __('¿Forzar venta unitaria?', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_only_cantidad_unitaria", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_widget_tipo_entrega", __('Tipo de entrega del pedido:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_widget_tipo_entrega", "byconsolewooodt_plugin_configuracion", "section_general_settings");


        add_settings_field("byconsolewooodt_hours_format_optional", __('¿Fecha y hora opcional?:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_hours_format_optional", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_preorder_days", __('Días de pre-pedido:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_preorder_days", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_opening_hours", __('Horario de apertura:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_opening_hours", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_delivery_hours", __('Fecha de entrega:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_delivery_hours", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_delivery_times", __('Tiempos de entrega minimos:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_delivery_times", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_orders_delivered", __('El pedido será entregado:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_orders_delivered", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_orders_pick_up", __('El pedido será recogido:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_orders_pick_up", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_hours_format", __('Formato de tiempo:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_hours_format", "byconsolewooodt_plugin_configuracion", "section_general_settings");

        add_settings_field("byconsolewooodt_takeaway_lable", __('Texto de la etiqueta de recogida:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_takeaway_lable", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");
        add_settings_field("byconsolewooodt_delivery_lable", __('Texto de la etiqueta de entrega:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_delivery_lable", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_establecimiento_lable", __('Texto de la etiqueta de establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_establecimiento_lable", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_date_field_text", __('Texto del campo de fecha:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_date_field_text", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");
        add_settings_field("byconsolewooodt_time_field_text", __('Texto del campo de hora:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_time_field_text", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");
        add_settings_field("byconsolewooodt_chekout_page_section_heading", __('Texto a mostrar en la página de pago como encabezado de sección', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_section_heading", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");








//        TEXTOS
        add_settings_field("byconsolewooodt_chekout_page_order_type_label", __('Etiqueta de tipo de pedido en la página de pago:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_order_type_label", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");



        add_settings_field("byconsolewooodt_chekout_page_date_label", __('Etiqueta del calendario en la página de pago:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_date_label", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");


        add_settings_field("byconsolewooodt_chekout_page_time_label", __('Etiqueta de selección de tiempo en la página de pago:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_time_label", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_chekout_page_alias_texto_opcional", __('Campo libre para Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_alias_texto_opcional", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_chekout_page_alias_texto", __('Texto de la etiqueta para el campo libre en selección Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_alias_texto", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");


        add_settings_field("byconsolewooodt_chekout_page_alias_placeholder", __('Texto placeholder de la etiqueta para el campo libre en selección Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_page_alias_placeholder", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");


        add_settings_field("byconsolewooodt_chekout_email_pedido_establecimiento", __('Email al que se envíe Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_email_pedido_establecimiento", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");
        add_settings_field("byconsolewooodt_chekout_nombre_pedido_establecimiento", __('Nombre al que se envíe Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_nombre_pedido_establecimiento", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");
        add_settings_field("byconsolewooodt_chekout_apellidos_pedido_establecimiento", __('Apellidos al que se envíe Pedido establecimiento:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_apellidos_pedido_establecimiento", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");


        add_settings_field("byconsolewooodt_chekout_enable_su_turno", __('Activar Su Turno:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_enable_su_turno", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");

        add_settings_field("byconsolewooodt_chekout_texto_su_turno", __('Texto sobre "su turno" en checkout/mail envío:', 'byconsole-woo-order-delivery-time'), "byconsolewooodt_chekout_texto_su_turno", "byconsolewooodt_plugin_options_textos", "section_textos_delivery");













        register_setting("section", "byconsolewooodt_preorder_days");

        register_setting("section", "byconsolewooodt_opening_hours_from");

        register_setting("section", "byconsolewooodt_opening_hours_to");

        register_setting("section", "byconsolewooodt_delivery_hours_from");

        register_setting("section", "byconsolewooodt_delivery_hours_to");

        register_setting("section", "byconsolewooodt_delivery_times");

        register_setting("section", "byconsolewooodt_takeaway_lable");

        register_setting("section", "byconsolewooodt_delivery_lable");

        register_setting("section", "byconsolewooodt_establecimiento_lable");

        register_setting("section", "byconsolewooodt_date_field_text");

        register_setting("section", "byconsolewooodt_time_field_text");

        register_setting("section", "byconsolewooodt_orders_delivered");

        register_setting("section", "byconsolewooodt_orders_pick_up");

        register_setting("section", "byconsolewooodt_widget_field_position");
        register_setting("section", "byconsolewooodt_widget_tipo_entrega");

        register_setting("section", "byconsolewooodt_chekout_page_section_heading");

        register_setting("section", "byconsolewooodt_chekout_page_order_type_label");

        register_setting("section", "byconsolewooodt_chekout_page_date_label");

        register_setting("section", "byconsolewooodt_chekout_page_time_label");
        register_setting("section", "byconsolewooodt_chekout_page_alias_texto_opcional");
        register_setting("section", "byconsolewooodt_chekout_page_alias_texto");
        register_setting("section", "byconsolewooodt_chekout_page_alias_placeholder");
        register_setting("section", "byconsolewooodt_chekout_email_pedido_establecimiento");
        register_setting("section", "byconsolewooodt_chekout_nombre_pedido_establecimiento");
        register_setting("section", "byconsolewooodt_chekout_apellidos_pedido_establecimiento");
        register_setting("section", "byconsolewooodt_chekout_enable_su_turno");
        register_setting("section", "byconsolewooodt_chekout_texto_su_turno");

        register_setting("section", "byconsolewooodt_hours_format");
        register_setting("section", "byconsolewooodt_hours_format_optional");

        register_setting("section", "byconsolewooodt_chekout_articulos_extra_type_label");
        register_setting("section", "byconsolewooodt_enabled");
        register_setting("section", "byconsolewooodt_disabled_menus");
        register_setting("section", "byconsolewooodt_cerrar_tienda");
        register_setting("section", "byconsolewooodt_required_menus");
        register_setting("section", "byconsolewooodt_disabled_ingredientes");
        register_setting("section", "byconsolewooodt_disabled_comentarios");
        register_setting("section", "byconsolewooodt_only_cantidad_unitaria");

        register_setting("section", "byconsolewooodt_chekout_comentarios_libres_type_label");

        register_setting("section", "byconsolewooodt_chekout_combina_con_type_label");

        register_setting("section", "byconsolewooodt_chekout_no_disponible_pedido_type_label");

        register_setting("section", "byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label");

        register_setting("section", "byconsolewooodt_detalels_del_envio_label");

        register_setting("section", "byconsolewooodt_hay_notas_label");

        register_setting("section", "byconsolewooodt_permitir_envio_diferente_label");

    }

    /**
    * Función para editar el título de los grupos de opciones para las variaciones de producto
    *
    * 12 agosto 2021 - #2357 - Daniel Ruiz Opción texto personalizado "Combina con".
    *
    * @param $title
     *
     * @return array|string|string[]
     */
    function glop_title_check( $title ) {
        if ( 'Artículos Extras' == $title ) {
            $new_title = get_option('byconsolewooodt_chekout_articulos_extra_type_label');
        } elseif ( 'Comentarios Libre' == $title ) {
            $new_title = get_option('byconsolewooodt_chekout_comentarios_libres_type_label');
        } elseif ( 'Combina con' == $title ) {
            $new_title = get_option('byconsolewooodt_chekout_combina_con_type_label');
        }

        if ( ! empty( $new_title ) && 0 < strlen( $title ) ) {
            $title = $new_title;
        }

        return str_replace( 'Comentarios Libre', 'Comentarios Libres', $title );
    }

    add_filter( 'filter_glop_title_check', 'glop_title_check', 10, 1 );

    add_filter( 'woocommerce_no_shipping_available_html', 'dg_woocommerce_no_shipping_available_html' );

    function dg_woocommerce_no_shipping_available_html( $mensaje ) {
    	$new_title = get_option('byconsolewooodt_chekout_no_disponible_pedido_type_label');
    	if ( $new_title ) {
    		return $new_title;
    	}
    	return $mensaje;
    }

    add_filter( 'gettext', 'db_woocommerce_shipping_error_may_be_available', PHP_INT_MAX, 3 );

    function db_woocommerce_shipping_error_may_be_available( $translation, $text, $domain ) {
    	if ( 'No shipping method has been selected. Please double check your address, or contact us if you need any help.' == $text ) {
    		$new_title = get_option( 'byconsolewooodt_chekout_no_disponible_pedido_finalizar_type_label' );
	        if ( empty( $new_title ) ) {
	        	$new_title = 'La tienda seleccionada no dispone de reparto en la dirección introducida, revísela o si lo desea puede realizar un pedido a recoger.';
            }
            return $new_title;
    	}

    	if ( 'There are no shipping options available. Please ensure that your address has been entered correctly, or contact us if you need any help.' == $text ) {
    		$new_title = get_option( 'byconsolewooodt_chekout_no_disponible_pedido_type_label' );
	        if ( empty( $new_title ) ) {
	            $new_title = 'La tienda seleccionada no dispone de reparto en la dirección introducida, revísela o si lo desea puede realizar un pedido a recoger.';
            }
            return $new_title;
    	}

    	if ( 'Billing details' == $text || strpos( $text, 'Billing &' ) !== false ) {
    		$new_title = get_option( 'byconsolewooodt_detalels_del_envio_label' );
    		if ( empty( $new_title ) ) {
	            $new_title = 'Detalles del envío';
            }
            return $new_title;
    	}
    	return $translation;
    }

	function is_wooglop_addons_delivery_enabled() {
	    return 'on' == get_option( 'byconsolewooodt_enabled' );
	}

	function is_wooglop_addons_disabled_menus() {
	    return 'on' == get_option( 'byconsolewooodt_disabled_menus' );
	}

	function is_wooglop_addons_cerrar_tienda() {
	    return 'on' == get_option( 'byconsolewooodt_cerrar_tienda' );
	}

	function is_wooglop_addons_required_menus() {
	    return 'on' == get_option( 'byconsolewooodt_required_menus' );
	}

	function is_wooglop_addons_disabled_ingredientes() {
	    return 'on' == get_option( 'byconsolewooodt_disabled_ingredientes' );
	}

	function is_wooglop_addons_disabled_comentarios() {
	    return 'on' == get_option( 'byconsolewooodt_disabled_comentarios' );
	}

	function is_wooglop_addons_only_cantidad_unitaria() {
	    return 'on' == get_option( 'byconsolewooodt_only_cantidad_unitaria' );
	}

	function get_byconsolewooodt_chekout_email_pedido_establecimiento() {
	    return get_option( 'byconsolewooodt_chekout_email_pedido_establecimiento', null );
	}

	function get_byconsolewooodt_chekout_nombre_pedido_establecimiento() {
	    return get_option( 'byconsolewooodt_chekout_nombre_pedido_establecimiento', null );
	}

	function get_byconsolewooodt_chekout_apellidos_pedido_establecimiento() {
	    return get_option( 'byconsolewooodt_chekout_apellidos_pedido_establecimiento', null );
	}

	function get_byconsolewooodt_chekout_enable_su_turno() {
	    return get_option( 'byconsolewooodt_chekout_enable_su_turno', null );
	}

	function get_byconsolewooodt_chekout_texto_su_turno() {
	    return get_option( 'byconsolewooodt_chekout_texto_su_turno', null );
	}

    if ( is_wooglop_addons_delivery_enabled() ) {
        add_filter( 'woocommerce_checkout_fields', 'db_custom_override_checkout_fields' );
        add_filter( 'woocommerce_billing_fields', 'db_custom_override_checkout_fields' );
        add_filter( 'woocommerce_shipping_fields', 'db_custom_override_checkout_fields' );
    }

	function db_custom_override_checkout_fields( $fields ) {
		$stripped_out_byconsolewooodt_delivery_widget_cookie = stripslashes($_COOKIE['byconsolewooodt_delivery_widget_cookie']);
        $byconsolewooodt_delivery_widget_cookie_array = json_decode($stripped_out_byconsolewooodt_delivery_widget_cookie, true);
        $byconsolewooodt_delivery_type = !empty($byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field']) ? $byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field'] : false;

        if ( in_array( $byconsolewooodt_delivery_type, array( 'take_away', 'solo_establecimiento' ) ) ) { // Recoger en local
       	    unset( $fields['billing']['billing_company'] );
	        unset( $fields['billing']['billing_country'] );
		    unset( $fields['billing']['billing_address_1'] );
		    unset( $fields['billing']['billing_address_2'] );
		    unset( $fields['billing']['billing_city'] );
		    unset( $fields['billing']['billing_state'] );

       	    unset( $fields['billing_company'] );
       	    unset( $fields['billing_postcode'] );
	        unset( $fields['billing_country'] );
		    unset( $fields['billing_address_1'] );
		    unset( $fields['billing_address_2'] );
		    unset( $fields['billing_city'] );
		    unset( $fields['billing_state'] );

       	    unset( $fields['shipping_company'] );
	        unset( $fields['shipping_country'] );
	        unset( $fields['shipping_postcode'] );
		    unset( $fields['shipping_address_1'] );
		    unset( $fields['shipping_address_2'] );
		    unset( $fields['shipping_city'] );
		    unset( $fields['shipping_state'] );

       	    unset( $fields['shipping']['shipping_company'] );
	        unset( $fields['shipping']['shipping_country'] );
		    unset( $fields['shipping']['shipping_address_1'] );
		    unset( $fields['shipping']['shipping_address_2'] );
		    unset( $fields['shipping']['shipping_city'] );
		    unset( $fields['shipping']['shipping_state'] );
        }

        if ( in_array( $byconsolewooodt_delivery_type, array( 'solo_establecimiento' ) ) ) {
		    unset( $fields['billing_phone'] );
		    if ( get_byconsolewooodt_chekout_email_pedido_establecimiento() ) {
		        unset( $fields['billing_email'] );
		    }
		    if ( get_byconsolewooodt_chekout_nombre_pedido_establecimiento() ) {
		        unset( $fields['billing_first_name'] );
		    }
		    if ( get_byconsolewooodt_chekout_apellidos_pedido_establecimiento() ) {
		        unset( $fields['billing_last_name'] );
		    }
        }

	    if ( 'on' !== get_option( 'byconsolewooodt_hay_notas_label' ) ) {
	        unset( $fields['order']['order_comments'] );
	    } else {
            $fields['order']['order_comments']['placeholder'] = __( 'Notas sobre tu pedido, por ejemplo, notas especiales para la entrega (máximo 200 caracteres).', 'byconsole-woo-order-delivery-time' );
            $fields['order']['order_comments']['maxlength']   = 200;
	    }
	    return $fields;
	}

	add_action( 'woocommerce_before_order_notes', 'db_woocommerce_before_order_notes' );

	function db_woocommerce_before_order_notes() {
		if ( 'on' != get_option('byconsolewooodt_hay_notas_label') ) {
			echo apply_filters( 'db_style_aditional_fields', '<style>.woocommerce-additional-fields{display:none;}</style>' );
		}
	}


	add_filter( 'woocommerce_cart_needs_shipping_address', 'db_woocommerce_cart_needs_shipping_address' );

	function db_woocommerce_cart_needs_shipping_address() {

		$stripped_out_byconsolewooodt_delivery_widget_cookie = stripslashes( $_COOKIE['byconsolewooodt_delivery_widget_cookie'] );
        $byconsolewooodt_delivery_widget_cookie_array        = json_decode($stripped_out_byconsolewooodt_delivery_widget_cookie, true);
        $byconsolewooodt_delivery_type                       = !empty($byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field']) ? $byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field'] : false;

		return 'take_away' != $byconsolewooodt_delivery_type && 'on' == get_option('byconsolewooodt_permitir_envio_diferente_label');
	}

	add_filter( 'woocommerce_cart_needs_shipping', 'db_woocommerce_cart_needs_shipping' );

	function db_woocommerce_cart_needs_shipping( $resp ) {
		$stripped_out_byconsolewooodt_delivery_widget_cookie = stripslashes( $_COOKIE['byconsolewooodt_delivery_widget_cookie'] );
        $byconsolewooodt_delivery_widget_cookie_array        = json_decode($stripped_out_byconsolewooodt_delivery_widget_cookie, true);
        $byconsolewooodt_delivery_type                       = !empty($byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field']) ? $byconsolewooodt_delivery_widget_cookie_array['byconsolewooodt_widget_type_field'] : false;
        // Solo necesitamos address si es para llevar.
        // Daniel Ruiz: 20/10/2023 Estaba puesto que solo necesitaba shipping para take_away y eso está mal
		return 'levering' == $byconsolewooodt_delivery_type;
	}
